function FileData_Pairs(x)
{
x.t("example","jaas.conf");
x.t("example","local");
x.t("enabling","jvm");
x.t("enabling","extensible");
x.t("interfaces","available");
x.t("http://java.sun.com/j2se/1.5.0/docs/api/javax/security/auth/login/configuration.html","loginmodule");
x.t("method","authentication");
x.t("parameter","tibemsd.conf");
x.t("parameter","main");
x.t("parameter","server");
x.t("determined","order");
x.t("exist","tibemsd");
x.t("exist","users.conf");
x.t("available","http://java.sun.com/products/jaas/");
x.t("within","ems");
x.t("within","jvm");
x.t("files","dependent");
x.t("implement","extensible");
x.t("create","connection");
x.t("create","plugable");
x.t("installed","ems");
x.t("debug=true","filename=jaas_users.txt");
x.t("mechanism","enabled");
x.t("source","example");
x.t("source","order");
x.t("required","debug=true");
x.t("required","parameters");
x.t("directs","ems");
x.t("directs","server");
x.t("enabled","it\u2019s");
x.t("enabled","tibemsd");
x.t("enabled","ems");
x.t("user","exist");
x.t("user","credentials");
x.t("secure","destinations");
x.t("uses","java");
x.t("interface","requirements");
x.t("interface","code");
x.t("interface","flexible");
x.t("augment","existing");
x.t("it\u2019s","important");
x.t("provided","sun");
x.t("provided","username");
x.t("avogus","exist");
x.t("avogus","avogus");
x.t("avogus","exists");
x.t("avogus","based");
x.t("time","ems");
x.t("authenticate","deny");
x.t("authenticate","client");
x.t("response","authentication");
x.t("tibemsd","passes");
x.t("tibemsd","using");
x.t("extend","security");
x.t("connection","attempt");
x.t("connection","request");
x.t("connection","extensible");
x.t("connection","server");
x.t("denies","connection");
x.t("inside","ems");
x.t("thread-safe","loginmodule");
x.t("single-threaded","environment");
x.t("apis","provided");
x.t("access","avogus");
x.t("microsystems","used");
x.t("contents","jaas.conf");
x.t("contents","configuration");
x.t("passes","username");
x.t("usually","jaas.conf");
x.t("usually","jaas");
x.t("security","ems");
x.t("security","extensible");
x.t("(jaas)","allow");
x.t("file","required");
x.t("file","user");
x.t("file","usually");
x.t("file","determines");
x.t("file","specified");
x.t("file","name");
x.t("file","loginmodule");
x.t("file","follow");
x.t("file","named");
x.t("file","emsuserauthentication");
x.t("file","contains");
x.t("determines","loginmodule");
x.t("deny","response");
x.t("deny","access");
x.t("able","function");
x.t("machine","(jvm)");
x.t("machine","enable");
x.t("ems","loginmodule");
x.t("ems","client");
x.t("ems","application");
x.t("ems","server\u2019s");
x.t("ems","server");
x.t("jar","files");
x.t("credentials","permissions");
x.t("sun","microsystems");
x.t("become","part");
x.t("writing","authentication");
x.t("requirements","loginmodule");
x.t("requirements","order");
x.t("specified","jaas_config_file");
x.t("jvm","within");
x.t("jvm","ems");
x.t("jvm","loginmodule");
x.t("jvm","information");
x.t("slow","operations");
x.t("name","emsuserauthentication");
x.t("users.conf","file");
x.t("users.conf","ems");
x.t("users.conf","server");
x.t("performance","loginmodule");
x.t("virtual","machine");
x.t("dependent","classes");
x.t("jaas.conf","file");
x.t("jaas.conf","loads");
x.t("jaas.conf","configuration");
x.t("custom","permissions");
x.t("custom","module");
x.t("part","ems");
x.t("part","jre");
x.t("argument","username");
x.t("perform","long");
x.t("perform","authentication");
x.t("user_auth","parameter");
x.t("user_auth","directs");
x.t("exists","users.conf");
x.t("parameters","tibemsd.conf");
x.t("parameters","authorization");
x.t("provides","interface");
x.t("standard","part");
x.t("(jvm)","java");
x.t("attempts","create");
x.t("search","provided");
x.t("search","authentication");
x.t("allows","denies");
x.t("loading","loginmodule");
x.t("allow","deny");
x.t("allow","run");
x.t("accessed","tibemsd");
x.t("local","authentication");
x.t("attempt","loginmodule");
x.t("attempt","consider");
x.t("write","loginmodule");
x.t("permissions","secure");
x.t("permissions","extensible");
x.t("permissions","loginmodule");
x.t("permissions","module");
x.t("plugable","java");
x.t("request","client");
x.t("prompt","argument");
x.t("severe","effect");
x.t("sole","method");
x.t("next","source");
x.t("loads","loginmodule");
x.t("syntax","documented");
x.t("feature","uses");
x.t("appears","jaas");
x.t("first","users.conf");
x.t("accept","username");
x.t("passwordcallback","callbacks");
x.t("throw","failedloginexception");
x.t("long","operations");
x.t("written","using");
x.t("failedloginexception","ems");
x.t("java-based","authentication");
x.t("function","multi-threaded");
x.t("determining","whether");
x.t("extensible","security");
x.t("extensible","permissions");
x.t("extensible","authentication");
x.t("chapter","extensible");
x.t("loginmodule","enabling");
x.t("loginmodule","thread-safe");
x.t("loginmodule","contents");
x.t("loginmodule","able");
x.t("loginmodule","ems");
x.t("loginmodule","requirements");
x.t("loginmodule","custom");
x.t("loginmodule","perform");
x.t("loginmodule","allows");
x.t("loginmodule","permissions");
x.t("loginmodule","accept");
x.t("loginmodule","throw");
x.t("loginmodule","written");
x.t("loginmodule","implementing");
x.t("loginmodule","named");
x.t("loginmodule","runs");
x.t("loginmodule","authentication");
x.t("loginmodule","information");
x.t("loginmodule","jaas");
x.t("loginmodule","based");
x.t("loginmodule","used");
x.t("loginmodule","run");
x.t("loginmodule","using");
x.t("loginmodule","returns");
x.t("loginmodule","jaas_config_file");
x.t("processes","sole");
x.t("processes","employed");
x.t("specifies","jar");
x.t("specifies","configuration");
x.t("combination","invalid");
x.t("combination","valid");
x.t("whether","username");
x.t("tibemsd.conf","file");
x.t("tibemsd.conf","configuration");
x.t("verify","user");
x.t("jaas_classpath","specifies");
x.t("implementing","jaas");
x.t("handling","process");
x.t("important","note");
x.t("client","attempts");
x.t("client","username");
x.t("client","accepting");
x.t("enable","jvm");
x.t("code","ems");
x.t("invalid","loginmodule");
x.t("follow","jaas");
x.t("located","avogus");
x.t("rejects","corresponding");
x.t("return","values");
x.t("filename=jaas_users.txt","tibco");
x.t("authorization","directs");
x.t("authorization","service");
x.t("environment","single-threaded");
x.t("environment","loginmodule");
x.t("message","handling");
x.t("tibco","software");
x.t("java","virtual");
x.t("java","authentication");
x.t("java","applications");
x.t("quickly","modules");
x.t("documentation","jaas");
x.t("existing","authentication");
x.t("consider","connection");
x.t("configuration","file");
x.t("configuration","syntax");
x.t("configuration","information");
x.t("username","avogus");
x.t("username","password");
x.t("callbacks","ems");
x.t("callbacks","ignoring");
x.t("main","configuration");
x.t("modules","become");
x.t("named","jaas.conf");
x.t("named","emsuserauthentication");
x.t("accepting","connection");
x.t("ule","required");
x.t("process","slow");
x.t("authentication","mechanism");
x.t("authentication","source");
x.t("authentication","enabled");
x.t("authentication","write");
x.t("authentication","feature");
x.t("authentication","appears");
x.t("authentication","determining");
x.t("authentication","chapter");
x.t("authentication","extensible");
x.t("authentication","processes");
x.t("authentication","jaas_classpath");
x.t("authentication","authorization");
x.t("authentication","module");
x.t("authentication","used");
x.t("authentication","server");
x.t("runs","inside");
x.t("runs","jvm");
x.t("runs","java");
x.t("valid","information");
x.t("ignoring","prompt");
x.t("module","ems");
x.t("module","perform");
x.t("module","loginmodule");
x.t("module","runs");
x.t("information","example");
x.t("information","writing");
x.t("information","custom");
x.t("information","jaas");
x.t("information","used");
x.t("jaas","interface");
x.t("jaas","apis");
x.t("jaas","provides");
x.t("jaas","standard");
x.t("jaas","configuration");
x.t("jaas","authentication");
x.t("jaas","classes");
x.t("jaas","including");
x.t("flexible","extend");
x.t("employed","determined");
x.t("application","loginmodule");
x.t("values","quickly");
x.t("documented","http://java.sun.com/j2se/1.5.0/docs/api/javax/security/auth/login/configuration.html");
x.t("destinations","user_auth");
x.t("note","order");
x.t("classes","interfaces");
x.t("classes","used");
x.t("based","contents");
x.t("based","username");
x.t("applications","jaas");
x.t("server\u2019s","message");
x.t("http://java.sun.com/products/jaas/","loading");
x.t("locates","loads");
x.t("order","implement");
x.t("order","user");
x.t("order","user_auth");
x.t("order","authentication");
x.t("emsuserauthentication","example");
x.t("emsuserauthentication","information");
x.t("emsuserauthentication","com.tibco.tibems.tibemsd.security.example.flatfileuserauthloginmod");
x.t("com.tibco.tibems.tibemsd.security.example.flatfileuserauthloginmod","ule");
x.t("service","(jaas)");
x.t("run","ems");
x.t("run","java-based");
x.t("used","create");
x.t("used","augment");
x.t("used","time");
x.t("used","ems");
x.t("used","loginmodule");
x.t("used","invoke");
x.t("either","authenticate");
x.t("jre","installed");
x.t("corresponding","connection");
x.t("multi-threaded","environment");
x.t("using","callbacks");
x.t("using","jaas");
x.t("namecallback","passwordcallback");
x.t("password","ems");
x.t("password","next");
x.t("password","first");
x.t("password","loginmodule");
x.t("password","combination");
x.t("password","located");
x.t("returns","allow");
x.t("pass","username");
x.t("jaas_config_file","parameter");
x.t("jaas_config_file","specifies");
x.t("operations","severe");
x.t("operations","return");
x.t("invoke","loginmodule");
x.t("effect","performance");
x.t("including","documentation");
x.t("server","enabling");
x.t("server","within");
x.t("server","authenticate");
x.t("server","passes");
x.t("server","ems");
x.t("server","user_auth");
x.t("server","parameters");
x.t("server","search");
x.t("server","accessed");
x.t("server","loginmodule");
x.t("server","verify");
x.t("server","rejects");
x.t("server","authentication");
x.t("server","jaas");
x.t("server","locates");
x.t("server","either");
x.t("server","namecallback");
x.t("server","pass");
x.t("server","server");
x.t("contains","configuration");
}
